<?php
class ListItemResumenAction extends wtActions
{
    public function execute()
    {
        $this->s_IdItem = $this->getRequestParameter( 'IdIem' );
        
        $this->IdCompania = myUser::getUser()->getIdBusiness();
        
        $this->GlobalAccess = myUser::getUser()->hasGlobalAccess();
        
        $o_ALM_AlmacenMastFN = new ALM_AlmacenMastFN();
        //$o_ALM_AlmacenMastFN->setIdCompania( $this->IdCompania );
        $o_ALM_AlmacenMastFN->addOrderBy( ALM_AlmacenMastFN::IdAlmacen );
        
        $this->opt_seleccione = $this->GlobalAccess;
        $this->s_IdAlmacenDefault = GSS_SucursalFN::recuperarIdAlmacen( myUser::getUser()->getIdSucursal() );
        if( !$this->GlobalAccess )
        {
            //$s_IdAlmacen = GSS_SucursalFN::recuperarIdAlmacen( myUser::getUser()->getIdSucursal() );
            //$o_ALM_AlmacenMastFN->setIdAlmacen( $s_IdAlmacen );
            $s_IdAlmacen = GSS_SucursalFN::recuperarIdAlmacen( myUser::getUser()->getIdSucursal() );
            $o_ALM_AlmacenMastFN->setIdAlmacen( $s_IdAlmacen );
            $this->s_IdAlmacenDefault = GSS_SucursalFN::recuperarIdAlmacen( myUser::getUser()->getIdSucursal() );
        }
        $this->a_ALM_AlmacenMast = $o_ALM_AlmacenMastFN->select();
        
        $this->FechaInicio = date( "Y-m" )."-01";
        $this->FechaFin = UtilDate::getFechaFinMes( date( "Y"), date( "m" ) );

        $o_VTA_VendedorFN = new VTA_VendedorFN();
        $o_VTA_VendedorFN->addOrderBy( VTA_VendedorFN::FechaCreacion );
        $this->a_VTA_Vendedor = $o_VTA_VendedorFN->select();
    }
}